part of model_notifier;

/// Local database.
class LocalDatabase {
  const LocalDatabase._();
  // ignore: prefer_final_fields
  static LocalStore _db = LocalStore(
    onInitialize: () async {
      await Prefs.initialize();
      _db._data = await DatabaseExporter.import("local://".toSHA1());
    },
    onSaved: () async {
      await DatabaseExporter.export("local://".toSHA1(), _db._data);
    },
    onDeleted: () async {
      await DatabaseExporter.export("local://".toSHA1(), _db._data);
    },
  );

  /// Export data to a file with [fileName].
  ///
  /// No encryption is specifically performed.
  static Future<void> export(String fileName) async {
    await DatabaseExporter.export(fileName, _db._data);
  }

  /// Import from a file with [fileName].
  ///
  /// No encryption is specifically performed.
  static Future<void> import(String fileName) async {
    final data = await DatabaseExporter.import(fileName);
    await _db.replace(data);
  }
}
